#!/usr/bin/python
#-*- coding=utf-8 -*-
#---------------------------------------------------------------------
#- @File     : fsshare.py
#- @Author   : Shizhengxian, Jiajiandong( NFS-china)
#- @DateTime : Mon, 11 Aug 2014 17:19:04 CST
#- @CopyRight: The Security Tools Group( NFS-china)
#-
#- @Brief : 当鼠标右键的焦点在目录上，点击共享弹出来的对话就是调用该程
#-        : 序.
#---------------------------------------------------------------------

from gi.repository import Gtk
import sys
import fsop

def init_all():
	builder = Gtk.Builder()
	builder.add_from_file("/usr/lib/f.share/set.glade")
	#builder.add_from_file("/home/szxian/szx.d/work.d/131.sups.wc/code/f.share/usr/lib/f.share/set.glade")
	s1 = builder.get_object("radiobutton1")	
	s2 = builder.get_object("radiobutton2")

	button1 = builder.get_object("button1")
	button2 = builder.get_object("button2")

	dwin = builder.get_object("dialog1")
	dwin.set_default_size(130,200)
	dwin.set_title("\xe6\x96\x87\xe4\xbb\xb6\xe5\x85\xb1\xe4\xba\xab")
	dwin.show()
	dwin.connect('destroy',Gtk.main_quit)

	
	
	s1.connect('pressed',s1_radiobutton_pressed)
	s2.connect('pressed',s2_radiobutton_pressed)
	button1.connect('clicked',b1_clicked)
	button2.connect('clicked',b2_clicked)

	global selected, filename
	filename = sys.argv[1]
	tmpfilename = filename.replace('//@//',' ')
	selected = fsop.get_share_state(tmpfilename)

	if selected :
		s1.set_active(True)
	else :
		s2.set_active(True)

def s1_radiobutton_pressed(s1) :
	print "s1_radiobutton_pressed(s1)"
	global selected
	selected = True

def s2_radiobutton_pressed(s2) :
	print "s2_radiobutton_pressed(s2)"
	global selected
	selected = False

def b1_clicked(button1) :
	print "b1_clicked()"
	print selected
	global filename
	if selected :
		ret = fsop.set_share_state(filename)
		if ret :
			Gtk.main_quit()
	else :
		ret = fsop.clear_share_state(filename)
		if ret :
			Gtk.main_quit()

def b2_clicked(button2) :
	print "b2_clicked()"
	Gtk.main_quit()


#entry
if __name__ == '__main__' :
	init_all()
	Gtk.main()
	
